---
title: Building From Source | markdown2html
layout: main.html
breadcrumb:
- '[doc-utils](../)'
- '[markdown2html](./)'
---

# Building From Source {#/}

_todo_

## Clone the repo

```bash:samp
git clone https://gitea.jbrumond.me/doc-utils/markdown2html
Cloning into 'markdown2html'...
remote: Enumerating objects: 286, done.
remote: Counting objects: 100% (286/286), done.
remote: Compressing objects: 100% (275/275), done.
remote: Total 286 (delta 99), reused 127 (delta 4), pack-reused 0
Receiving objects: 100% (286/286), 2.42 MiB | 19.48 MiB/s, done.
Resolving deltas: 100% (99/99), done.
```



## Install dependencies

First, you'll need to create an npm config file in the project to refer to correct registry for the @doc-utils scope

```bash
echo '@doc-utils:registry=https://gitea.jbrumond.me/api/packages/doc-utils/npm/' >> ./.npmrc
```

Then you can install with npm as normal

```bash:samp
npm install
added 197 packages, and audited 198 packages in 5s

5 packages are looking for funding
  run `npm fund` for details

found 0 vulnerabilities
```



## Build

```bash:samp
npm run tsc
> @doc-utils/markdown2html@0.1.13 tsc
> tsc
```



## Setup PATH for CLI use

The `markdown2html` command can be found in the `./bin` directory.

You can link to this file in a directory in your `PATH`, or add that directory to your `PATH`.
